Erik Frisk | 19 Dec 19:53 2010
Picon
Picon
Picon

11.85; Ghostscript problems when using preview

Hi,

I recently realized that I have a problem with preview. I do not know 
exactly when this problem appeared, I am sure it has worked perfectly in 
the past. My guess is maybe that it appeared when I updated from TeXLive 
2009 to TeXLive 2010 some time ago.

When I do preview in a document (any document) I get a warning icon and 
the error message is included below.

I have tried ghostscript version 8.71 (included in TL2010) and a newly 
compiled version 9.00 but I get the same message.

Anyone out there who can help me?

regards,
	Erik

gs -dOutputFile\=\(_region_.prv/tmp42010SMl/pr1-1.png\) -q -dSAFER 
-dNOPAUSE -DNOPLATFONTS -dPrinted -dTextAlphaBits\=4 
-dGraphicsAlphaBits\=4 -sDEVICE\=png16m -r145.743x146.756
GS>{DELAYSAFER{.setsafe}if}stopped pop/.preview-BP 
currentpagedevice/BeginPage get dup null eq{pop{pop}bind}if 
def<</BeginPage{currentpagedevice/PageSize get dup 0 get 1 ne exch 1 get 
1 ne or{.preview-BP }{pop}ifelse}bind/PageSize[1 
1]>>setpagedevice/preview-do{[count 3 roll save]3 1 roll dup length 0 
eq{pop}{setpagedevice}{ifelse .runandhide}stopped{handleerror quit}if 
aload pop restore}bind def 
[(_region_.prv/tmp42010SMl/preview.dsc)(r)file]aload exch dup 0 
setfileposition 461()/SubFileDecode filter cvx .runandhide aload pop dup 
(Continue reading)

Ralf Angeli | 19 Dec 22:31 2010
Picon

Re: 11.85; Ghostscript problems when using preview

* Erik Frisk (2010-12-19) writes:

> When I do preview in a document (any document) I get a warning icon and 
> the error message is included below.
>
> I have tried ghostscript version 8.71 (included in TL2010) and a newly 
> compiled version 9.00 but I get the same message.
[...]
> Error: /invalidfileaccess in --file--

That's due to an incompatibility with recent versions of Ghostscript
which has been fixed in the CVS repository of AUCTeX.  So either you
downgrade Ghostscript or you get a development version of AUCTeX.

--

-- 
Ralf

Erik Frisk | 19 Dec 23:44 2010
Picon
Picon
Picon

Re: 11.85; Ghostscript problems when using preview

Ok, perfect! Thanks for the quick reply.

   Erik

On 19/12/2010 22:31 , Ralf Angeli wrote:
> * Erik Frisk (2010-12-19) writes:
>
>> When I do preview in a document (any document) I get a warning icon and
>> the error message is included below.
>>
>> I have tried ghostscript version 8.71 (included in TL2010) and a newly
>> compiled version 9.00 but I get the same message.
> [...]
>> Error: /invalidfileaccess in --file--
>
> That's due to an incompatibility with recent versions of Ghostscript
> which has been fixed in the CVS repository of AUCTeX.  So either you
> downgrade Ghostscript or you get a development version of AUCTeX.
>

--

-- 
---------------------------------------------------------------------
Erik Frisk                            email:         frisk <at> isy.liu.se
Dept. of Electrical Engineering         tel:            +46 13 285714
Linköping University                    fax:            +46 13 282035
S-581 83 Linköping
SWEDEN                               http://www.fs.isy.liu.se/~frisk/


Gmane